Bug 1938931 - fedora-chromium-config: Update policy names in 00_gssapi.json
Summary: fedora-chromium-config: Update policy names in 00_gssapi.json
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: fedora-chromium-config
Version: 33
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Tomas Popela
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-03-15 08:56 UTC by Raphael Kubo da Costa
Modified: 2021-05-27 10:50 UTC (History)
1 user (show)

Fixed In Version: fedora-chromium-config-1.1-8.fc32 fedora-chromium-config-1.1-8.fc33 fedora-chromium-config-1.1-9.fc34
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-03-23 01:11:33 UTC
Type: Bug


Attachments (Terms of Use)

Description Raphael Kubo da Costa 2021-03-15 08:56:35 UTC
Starting with Chromium 86 (https://chromium-review.googlesource.com/c/chromium/src/+/2316337), the AuthServerWhitelist and AuthNegotiateDelegateWhitelist policies have been deprecated and will probably be removed in the future. Their new names are AuthServerAuthlist and AuthNegotiateDelegateAllowlist, respectively.

I'm not sure if the package should set all 4 keys for a while or just rename the policy names in the JSON file though.

Comment 1 Tomas Popela 2021-03-15 09:08:19 UTC
Thank you Raphael for heads-up! I went with renaming the policies (as one really shouldn't be using < Chromium/Chrome 86 anyway).

Comment 2 Fedora Update System 2021-03-15 09:25:53 UTC
FEDORA-2021-555227b141 has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-555227b141

Comment 3 Fedora Update System 2021-03-15 09:25:54 UTC
FEDORA-2021-476c4afd13 has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2021-476c4afd13

Comment 4 Fedora Update System 2021-03-15 19:42:43 UTC
FEDORA-2021-20fac1fd77 has been pushed to the Fedora 32 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-20fac1fd77`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-20fac1fd77

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 5 Fedora Update System 2021-03-15 20:01:04 UTC
FEDORA-2021-476c4afd13 has been pushed to the Fedora 33 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-476c4afd13`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-476c4afd13

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2021-03-16 14:42:51 UTC
FEDORA-2021-555227b141 has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-555227b141`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-555227b141

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2021-03-23 01:11:33 UTC
FEDORA-2021-20fac1fd77 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 8 Fedora Update System 2021-03-23 01:33:02 UTC
FEDORA-2021-476c4afd13 has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 9 Fedora Update System 2021-04-05 00:16:30 UTC
FEDORA-2021-555227b141 has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 10 Tomas Popela 2021-05-27 06:21:53 UTC
(In reply to Raphael Kubo da Costa from comment #0)
> Starting with Chromium 86
> (https://chromium-review.googlesource.com/c/chromium/src/+/2316337), the
> AuthServerWhitelist and AuthNegotiateDelegateWhitelist policies have been
> deprecated and will probably be removed in the future. Their new names are
> AuthServerAuthlist and AuthNegotiateDelegateAllowlist, respectively.

Actually there was a type and I didn't checked it before I made the changes - it's not AuthServerAuthlist, but AuthServerAllowlist - see bug 1965130.

Comment 11 Raphael Kubo da Costa 2021-05-27 10:50:30 UTC
Oops, sorry for the confusion!


Note You need to log in before you can comment on or make changes to this bug.